Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.browser
Class StatusTextEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.browser.StatusTextEvent

public class StatusTextEvent
extends TypedEvent

A `StatusTextEvent` is sent by a `Browser` to `StatusTextListener`'s when the status text is changed. The status text is typically displayed in the status bar of a browser application.

Since:
  1.4
See Also:
  Serialized Form

Field Summary
`java.lang.String` `text` status text

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`StatusTextEvent(Widget widget)` Constructs a new instance of this class.

Method Summary
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`allowProcessing, dispatchToObserver, executeNext, getListenerType, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    public java.lang.String text

  status text

Constructor Detail

### StatusTextEvent

    public StatusTextEvent(Widget widget)

  Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event

Method Detail

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.